import moment from 'moment';

/** 应用任务状态 */
export const appTaskStatusEnum = {
  valueEnum: {
    '0': { text: '已停止', status: 'Default' },
    '1': { text: '运行中', status: 'Success' },
  },
  STOPPED: 0,
  RUNNING: 1,
};

/** 会话类型 */
export const conversationTypeEnum = {
  valueEnum: {
    '1': '单聊',
    '2': '群聊',
  },
  SINGLE: 1,
  GROUP: 2,
};

/** 应用任务执行状态 */
export const appTaskLogStatusEnum = {
  valueEnum: {
    '0': { text: '失败', status: 'Error' },
    '1': { text: '成功', status: 'Success' },
  },
  ERROR: 0,
  SUCCESS: 1,
};

/** 最近时间范围 */
export const recentTimeRanges: any = {
  最近一小时: [moment().subtract(1, 'h'), moment()],
  今日: [moment().startOf('day'), moment()],
  昨日: [moment().startOf('day').subtract(1, 'd'), moment().endOf('day').subtract(1, 'd')],
  最近一周: [moment().subtract(7, 'd'), moment()],
  本月: [moment().startOf('month'), moment()],
  上个月: [moment().startOf('month').subtract(1, 'M'), moment().endOf('month').subtract(1, 'M')],
};

/** 通用时间范围配置 */
export const timeRangeFieldProps = {
  disabledDate: (v: any) => v.isAfter(moment()),
  ranges: recentTimeRanges,
};
