/**
 * 表单校验规则
 */

// @ts-ignore
import { RuleObject, StoreValue } from 'rc-field-form/es/interface';
import { isValidCronExpression } from 'cron-expression-validator';

/** 禁止输入空白符 */
export const whitespaceForbidden = {
  pattern: /^\S*$/g,
  message: '禁止输入空白符',
};

/** 英文逗号分割的手机号列表 */
export const phoneList = {
  pattern: /\d{11}(,\d{11})*/g,
  message: '手机号格式不正确',
};

/** 英文逗号分割的userId列表 */
export const userIdList = {
  pattern: /\w+(,\w+)*/g,
  message: 'userIds格式不正确',
};

/** cron表达式校验 */
export const validCron = {
  validator: (rule: RuleObject, value: StoreValue) => {
    if (isValidCronExpression(value)) {
      return Promise.resolve();
    }
    return Promise.reject('cron表达式错误');
  },
};
