import React from 'react';
import { Button } from 'antd';
import { ModalForm } from '@ant-design/pro-components';
import AppTaskLogTable from '@/components/AppTaskLogTable';

/** 应用任务日志弹窗组件 */
const AppTaskLogModal: React.FC<{
  /** 任务id */
  taskId?: string;
}> = ({ taskId }) => {
  return (
    <ModalForm
      title="应用任务日志"
      trigger={<Button type="primary">日志</Button>}
      submitter={false}
      width={taskId ? '100%' : undefined}
    >
      <AppTaskLogTable taskId={taskId} />
    </ModalForm>
  );
};

export default AppTaskLogModal;
